import type { ActivateHelpers } from 'hadron-app-registry';
import type { AggregateOptions, Document, FindOptions } from 'mongodb';
import type AppRegistry from 'hadron-app-registry';
import type { CollectionTabPluginMetadata } from '@mongodb-js/compass-collection';
import type { DataService } from 'mongodb-data-service/provider';
import type { LoggerAndTelemetry } from '@mongodb-js/compass-logging/provider';
import type { PreferencesAccess } from 'compass-preferences-model/provider';
export type OpenExplainPlanModalEvent = {
    query: {
        filter: Document;
    } & Pick<FindOptions, 'projection' | 'collation' | 'sort' | 'skip' | 'limit' | 'maxTimeMS'>;
    aggregation?: never;
} | {
    query?: never;
    aggregation: {
        pipeline: Document[];
        collation?: AggregateOptions['collation'];
        maxTimeMS?: number;
    };
};
export type ExplainPlanModalConfigureStoreOptions = Pick<CollectionTabPluginMetadata, 'namespace' | 'isDataLake'>;
export type ExplainPlanModalServices = {
    dataService: Pick<DataService, 'explainFind' | 'explainAggregate' | 'isCancelError'>;
    logger: LoggerAndTelemetry;
    preferences: PreferencesAccess;
    localAppRegistry: AppRegistry;
};
export declare function activatePlugin({ namespace, isDataLake }: ExplainPlanModalConfigureStoreOptions, services: ExplainPlanModalServices, { on, cleanup }: ActivateHelpers): {
    store: import("redux").Store<import("./explain-plan-modal-store").ExplainPlanModalState, import("redux").AnyAction> & {
        dispatch: import("redux-thunk").ThunkDispatch<any, ExplainPlanModalServices, import("redux").AnyAction>;
    };
    deactivate: () => void;
};
//# sourceMappingURL=index.d.ts.map